cdac.medinfo.sdk.hl7282.hl7streams

## Class HL7FileStream

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.hl7streams.HL7Stream
  - - cdac.medinfo.sdk.hl7282.hl7streams.HL7FileStream

- All Implemented Interfaces:
    IHL7Stream

      public class HL7FileStream
      extends HL7Stream

  This class is specialized in the reading/writing operations on the file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7FileStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `setInputStream(java.io.FileInputStream objFileInputStream)` Sets the file FileInputStream to the FileStream.
    `int` | `setOutputStream(java.io.FileOutputStream objFileOutputStream)` Sets the file FileOutputStream to the FileStream.
    `int` | `setStream(java.io.FileInputStream objFileInputStream, java.io.FileOutputStream objFileOutputStream)` This method sets the file Streams to the FileStream.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7streams.HL7Stream

      `available, close, endSend, getReadBytes, getStream, mark, readBuffer, readByte, readChar, readString, reset, skip, startReceive, writeBuffer, writeByte, writeChar, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HL7FileStream

          public HL7FileStream()

  - ### Method Detail

    - #### setInputStream

          public int setInputStream(java.io.FileInputStream objFileInputStream)

      Sets the file FileInputStream to the FileStream.
      Parameters:
        `objFileInputStream` - object of FileInputStream
      Returns:
        int - Succes or Faliure.

    - #### setOutputStream

          public int setOutputStream(java.io.FileOutputStream objFileOutputStream)

      Sets the file FileOutputStream to the FileStream.
      Parameters:
        `objFileOutputStream` - object of FileOutputStream
      Returns:
        int - Succes or Failure.

    - #### setStream

          public int setStream(java.io.FileInputStream objFileInputStream,
                      java.io.FileOutputStream objFileOutputStream)

      This method sets the file Streams to the FileStream.
      Parameters:
        `objFileInputStream` - object of FileInputStream
        `objFileOutputStream` - object of FileOutputStream
      Returns:
        int - Success or Failure